WRGuitarExtensionEvent
Keywords: wiiremotej.event.WRGuitarExtensionEvent class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## wiiremotej.event
Class WRGuitarExtensionEvent

    java.lang.Object
      java.util.EventObject
          wiiremotej.event.WREvent
              wiiremotej.event.WRExtensionEvent
                  wiiremotej.event.WRGuitarExtensionEvent

All Implemented Interfaces:
  java.io.Serializable

    public class WRGuitarExtensionEvent

extends WRExtensionEvent

Classic controller extension event for Nintendo (R) Wii Remote (TM). Contains data from the classic controller extension. Be aware that if buttons are held when the controller is first connected (or the remote is turned on while the controller is plugged in), calibration data may be inaccurate.

See Also:
  Serialized Form

Field Summary
`static int` | `BLUE` Constant representing the blue button on the Guitar (equivalent to Classic Controller Y).
`static int` | `GREEN` Constant representing the green button on the Guitar (equivalent to Classic Controller A).
`static int` | `MINUS` Constant representing the minus button of the Guitar.
`static int` | `ORANGE` Constant representing the orange button on the Guitar (equivalent to Classic Controller left Z).
`static int` | `PLUS` Constant representing the plus button of the Guitar.
`static int` | `RED` Constant representing the red button on the Guitar (equivalent to Classic Controller B).
`static int` | `STRUM_DOWN` Constant representing strumming down on the Guitar (equivalent to Classic Controller D-pad down).
`static int` | `STRUM_UP` Constant representing strumming up on the Guitar (equivalent to Classic Controller D-pad up).
`static int` | `YELLOW` Constant representing the yellow button on the Guitar (equivalent to Classic Controller X).

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`WRGuitarExtensionEvent(WiiRemote source, AnalogStickData analogStickData, AnalogStickData rightAnalogStickData, int buttonsPressed, double whammyBar, WRGuitarExtensionEvent lastEvent)` Creates a new WRClassicControllerExtensionEvent from the given settings.
`WRGuitarExtensionEvent(WiiRemote source, byte[] input, int offset, WRGuitarExtensionEvent lastEvent)` Creates a new WRGuitarExtensionEvent from an array of input data from the Wii Remote.

Method Summary
`static WRGuitarExtensionEvent` | `createBlankEvent()` Returns a WRClassicControllerExtensionEvent with all the values cleared.
`AnalogStickData` | `getAnalogStickData()` Returns AnalogStickData representing the current state of the analog stick on the guitar.
`double` | `getWhammyBar()` Returns the amount the whammy bar is pushed.
`boolean` | `isAnyPressed(int buttonMask)` Returns `true` if any of the given buttons are pressed; otherwise `false`.
`boolean` | `isOnlyPressed(int buttonMask)` Returns `true` if all of the given buttons are pressed and no others are; otherwise `false`.
`boolean` | `isPressed(int buttonMask)` Returns `true` if all of the given buttons are pressed; otherwise `false`.
`boolean` | `wasOnlyPressed(int buttonMask)` Returns `true` if all of the given buttons were pressed and no others are; otherwise `false`.
`boolean` | `wasPressed(int buttonMask)` Returns `true` if all of the given buttons were pressed; otherwise `false`.
`boolean` | `wasReleased(int buttonMask)` Returns `true` if one of the given buttons was released; otherwise `false`.

Methods inherited from class wiiremotej.event.WREvent
`getSource`

Methods inherited from class java.util.EventObject
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### STRUM_UP

    public static final int STRUM_UP

  Constant representing strumming up on the Guitar (equivalent to Classic Controller D-pad up).

  See Also:
    Constant Field Values

### YELLOW

    public static final int YELLOW

  Constant representing the yellow button on the Guitar (equivalent to Classic Controller X).

  See Also:
    Constant Field Values

### GREEN

    public static final int GREEN

  Constant representing the green button on the Guitar (equivalent to Classic Controller A).

  See Also:
    Constant Field Values

### BLUE

    public static final int BLUE

  Constant representing the blue button on the Guitar (equivalent to Classic Controller Y).

  See Also:
    Constant Field Values

### RED

    public static final int RED

  Constant representing the red button on the Guitar (equivalent to Classic Controller B).

  See Also:
    Constant Field Values

### ORANGE

    public static final int ORANGE

  Constant representing the orange button on the Guitar (equivalent to Classic Controller left Z).

  See Also:
    Constant Field Values

### PLUS

    public static final int PLUS

  Constant representing the plus button of the Guitar.

  See Also:
    Constant Field Values

### MINUS

    public static final int MINUS

  Constant representing the minus button of the Guitar.

  See Also:
    Constant Field Values

### STRUM_DOWN

    public static final int STRUM_DOWN

  Constant representing strumming down on the Guitar (equivalent to Classic Controller D-pad down).

  See Also:
    Constant Field Values

Constructor Detail

### WRGuitarExtensionEvent

    public WRGuitarExtensionEvent(WiiRemote source,
                                  byte[] input,
                                  int offset,
                                  WRGuitarExtensionEvent lastEvent)

  Creates a new WRGuitarExtensionEvent from an array of input data from the Wii Remote.

  Parameters:
    `source` - the WiiRemote triggering this event.
    `input` - data received from the extension port.
    `offset` - the position of the first byte of extension data in the array.
    `lastEvent` - the last received WRGuitarExtensionEvent. Used for button-press information.

### WRGuitarExtensionEvent

    public WRGuitarExtensionEvent(WiiRemote source,
                                  AnalogStickData analogStickData,
                                  AnalogStickData rightAnalogStickData,
                                  int buttonsPressed,
                                  double whammyBar,
                                  WRGuitarExtensionEvent lastEvent)

  Creates a new WRClassicControllerExtensionEvent from the given settings.

  Parameters:
    `source` - the WiiRemote triggering this event.
    `analogStickData` - analog stick data for the left analog stick.
    `rightAnalogStickData` - analog stick data for the right analog stick.
    `buttonsPressed` - the buttonsPressed mask for this event (i.e. the sum of all the depressed buttons).
    `whammyBar` - how much the whammy bar is pushed
    `lastEvent` - the last received WRClassicControllerExtensionEvent. Used for wasPressed and wasReleased information.

Method Detail

### createBlankEvent

    public static WRGuitarExtensionEvent createBlankEvent()

  Returns a WRClassicControllerExtensionEvent with all the values cleared. This means that all acceleration and analog values read are 0 and all buttons are not pressed.

  Returns:
    a WRClassicControllerExtensionEvent with all the values cleared.

### getAnalogStickData

    public AnalogStickData getAnalogStickData()

  Returns AnalogStickData representing the current state of the analog stick on the guitar.

  Returns:
    AnalogStickData representing the current state of the analog stick on the guitar.

### getWhammyBar

    public double getWhammyBar()

  Returns the amount the whammy bar is pushed. This is a percent (from 0 to 1). This is equivalent to the right trigger on the classic controller. Note that because the whammy bar is more flexible than a normal shoulder bar, you may get values below 0. Values generally top out around 0.7.

  Returns:
    the amount the whammy bar is pushed.
  See Also:
    `isPressed(int buttonMask)`

### isPressed

    public boolean isPressed(int buttonMask)

  Returns `true` if all of the given buttons are pressed; otherwise `false`. "isPressed" means that the buttons are currently depressed; they may have just been depressed this event, or they may have been depressed previously. Buttons are specified using the field constants in this class.

  Parameters:
    `buttonMask` - the button(s) to check if is pressed. You may specify either a single button or a button mask (multiple buttons added together).
  Returns:
    `true` if the given buttons are pressed; otherwise `false`.

### isOnlyPressed

    public boolean isOnlyPressed(int buttonMask)

  Returns `true` if all of the given buttons are pressed and no others are; otherwise `false`. "isPressed" means that the buttons are currently depressed; they may have just been depressed this event, or they may have been depressed previously. Buttons are specified using the field constants in this class.

  Parameters:
    `buttonMask` - the button(s) to check if is pressed. You may specify either a single button or a button mask (multiple buttons added together).
  Returns:
    `true` if the given buttons are pressed and no others are; otherwise `false`.

### isAnyPressed

    public boolean isAnyPressed(int buttonMask)

  Returns `true` if any of the given buttons are pressed; otherwise `false`. "isPressed" means that the buttons are currently depressed; they may have just been depressed this event, or they may have been depressed previously. Buttons are specified using the field constants in this class. If the button mask contains only one button, this method is the same as isPressed(buttonMask).

  Parameters:
    `buttonMask` - the button(s) to check if is pressed. You may specify either a single button or a button mask (multiple buttons added together).
  Returns:
    `true` if any of the given buttons are pressed; otherwise `false`.

### wasPressed

    public boolean wasPressed(int buttonMask)

  Returns `true` if all of the given buttons were pressed; otherwise `false`. "wasPressed" means that the buttons were not depressed before, and were just depressed this event. Buttons are specified using the field constants in this class.

  Parameters:
    `buttonMask` - the button(s) to check if was pressed. You may specify either a single button or a button mask (multiple buttons added together). If you use a button mask (i.e. multiple buttons), then this method returns `true` when the buttons described by button are depressed (isPressed(buttonMask) returns `true`) and at least one of the buttons was just depressed (i.e. it was previously not depressed).
  Returns:
    `true` if the given buttons were pressed; otherwise `false`.

### wasOnlyPressed

    public boolean wasOnlyPressed(int buttonMask)

  Returns `true` if all of the given buttons were pressed and no others are; otherwise `false`. "wasPressed" means that the buttons were not depressed before, and were just depressed this event. Buttons are specified using the field constants in this class.

  Parameters:
    `buttonMask` - the button(s) to check if was pressed. You may specify either a single button or a button mask (multiple buttons added together). If you use a button mask (i.e. multiple buttons), then this method returns `true` when the buttons described by button are depressed (isOnlyPressed(buttonMask) returns `true`) and at least one of the buttons was just depressed (i.e. it was previously not depressed).
  Returns:
    `true` if the given buttons were pressed and no others are; otherwise `false`.

### wasReleased

    public boolean wasReleased(int buttonMask)

  Returns `true` if one of the given buttons was released; otherwise `false`. "wasReleased" means that the buttons were previously depressed, but that at least one was just released this event. Buttons are specified using the field constants in this class.

  Parameters:
    `buttonMask` - the button(s) to check if was released. You may specify either a single button or a button mask (multiple buttons added together). If you use a button mask, (i.e. multiple buttons), then this method returns `true` when all buttons were depressed previously (isPressed(buttonMask) returned `true` last event), and at least one of them has been released ((isPressed(buttonMask) now returns `false`).
  Returns:
    `true` if the given buttons were released; otherwise `false`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD